Bug 1317345 - Review Request: erlang-luerl - Lua in Erlang
Review Request: erlang-luerl - Lua in Erlang
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1312517
  Show dependency treegraph
 
Reported: 2016-03-13 23:45 EDT by Randy Barlow
Modified: 2016-04-10 15:17 EDT (History)
2 users (show)

See Also:
Fixed In Version: erlang-luerl-0-20151209.9524d030.2.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-10 15:17:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2016-03-13 23:45:37 EDT
Spec URL: https://rbarlow.fedorapeople.org/erlang-luerl.spec
SRPM URL: https://rbarlow.fedorapeople.org/erlang-luerl-0-20151209.9524d030.1.fc25.src.rpm
Description: An experimental implementation of Lua 5.2 written solely in pure Erlang.
Fedora Account System Username: rbarlow

This is the output of rpmlint on the generated RPM:

erlang-luerl.x86_64: W: spelling-error Summary(en_US) Lua -> Lu, La, Luna
erlang-luerl.x86_64: E: no-binary
erlang-luerl.x86_64: W: only-non-binary-in-usr-lib
erlang-luerl.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/erlang-luerl/examples/hello/hello2-3.lua
1 packages and 0 specfiles checked; 1 errors, 3 warnings.

The no-binary error is normal for Erlang packages, as is the only-non-binary-in-usr-lib. I don't think we need to worry about the encoding on the example code.
Comment 1 Peter Lemenkov 2016-03-15 09:02:23 EDT
REVIEW:

[+] rpmlint is silent (or produces only messages which can be safely ignored.
[+] The package is named according to the Package Naming Guidelines.
[+] The spec file name matches the base package %{name}, in the format %{name}.spec.
[+] The package meets the Erlang Packaging Guidelines.
[+] The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
[+] The License field in the package spec file matches the actual license (Apache License 2.0)
[+] The file, containing the text of the license(s) for the package, is included in %doc and marked as %license.
[+] The spec file is written in American English.
[+] The spec file for the package is legible.
[+] The sources used to build the package matches the upstream source, as provided in the spec URL.

Auriga ~/rpmbuild/SOURCES: sha256sum 9524d0309a88b7c62ae93da0b632b185de3ba9db.tar.gz*
b5af83ceb7b6e984487ab9170cd1c0764c3a320e8461321413d81f6d5fc42647  9524d0309a88b7c62ae93da0b632b185de3ba9db.tar.gz
b5af83ceb7b6e984487ab9170cd1c0764c3a320e8461321413d81f6d5fc42647  9524d0309a88b7c62ae93da0b632b185de3ba9db.tar.gz.1
Auriga ~/rpmbuild/SOURCES:

[+] The package successfully compiles and builds into binary rpms.
[+] All build dependencies are listed in BuildRequires.
[0] No need to handle locales.
[0] The package does not contain any shared library files.
[+] Packages does not bundle copies of system libraries.
[+] The package isn't designed to be relocatable.
[+] The package owns all directories that it creates.
[+] The package does not list a file more than once in the spec file's %files listings.
[+] Permissions on files are set properly.
[+] The package consistently uses macros.
[+] The package contains code, or permissible content.
[0] No large documentation files.
[+] Anything, the package includes as %doc, does not affect the runtime of the application.
[0] No static libraries.
[0] No -devel sub-package.
[+] The package does not contain any .la libtool archives.
[0] Not a GUI application.
[+] The package does not own files or directories already owned by other packages.
[+] All filenames in rpm packages are valid UTF-8.

APPROVED.

PS a minor proposal. I dont see anything in Ejaberd which actually uses luerl internal headers (*.hrl files). Normally ones which shipped within ./src directory shoudln't be packaged - only those which stored in ./include should be.

So if you just unsure what to do with these *.hrl files, then I advice you not to package them. Feel free to ignore this advice since shipping them doesn't hurt anyone.
Comment 2 Gwyn Ciesla 2016-03-16 09:54:22 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/erlang-luerl
Comment 3 Randy Barlow 2016-04-10 15:17:14 EDT
Peter,

I removed the internal headers as you suggested. Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.